local LAM = LibStub("LibAddonMenu-1.0")
function WLHUD_Menu_Reset()
	LAM:AddHeader(WLHUD_Menu, "WLHUD_Menu_Default", "|cF0C300"..WLHUD_Reset_Header.."|r ")

	LAM:AddButton(WLHUD_Menu, "WLHUD_ResetAllPos", WLHUD_ResetAllPos_Opt, WLHUD_ResetAllPos_Opt_LBL,
		function() WLHUD_Reset_All_Positions() end)

	LAM:AddButton(WLHUD_Menu, "WLHUD_ResetWLHUD", WLHUD_ResetWLHUD_Opt, WLHUD_ResetWLHUD_Opt_LBL,
		function() WLHUD_Reset_Default() end,
		true, WLHUD_ResetWLHUD_Warning)
end

function WLHUD_Reset_Default()
	WLHUD_SAVE.Global_X = 0
	WLHUD_SAVE.Global_Y = 0
	WLHUD_SAVE.Enable_P_Sticky = false
	WLHUD_SAVE.Player_Anchor_X = 595
	WLHUD_SAVE.Player_Anchor_Y = 938
	WLHUD_SAVE.PlayerHP_Anchor_X = 480
	WLHUD_SAVE.PlayerHP_Anchor_Y = 936
	WLHUD_SAVE.PlayerHP_Height = 0
	WLHUD_SAVE.PlayerHP_Texture = true
	WLHUD_SAVE.PlayerMP_Anchor_X = 480
	WLHUD_SAVE.PlayerMP_Anchor_Y = 961
	WLHUD_SAVE.PlayerMP_Height = 0
	WLHUD_SAVE.PlayerMP_Texture = true
	-- WLHUD_SAVE.MPBarDir = "Right to Left"
	WLHUD_SAVE.PlayerSP_Anchor_X = 480
	WLHUD_SAVE.PlayerSP_Anchor_Y = 986
	WLHUD_SAVE.Horse_Anchor_X = 460
	WLHUD_SAVE.Horse_Anchor_Y = 1006
	WLHUD_SAVE.PlayerSP_Height = 0
	WLHUD_SAVE.PlayerSP_Texture = true
	WLHUD_SAVE.PlayerCast_Anchor_X = 575
	WLHUD_SAVE.PlayerCast_Anchor_Y = 910
	WLHUD_SAVE.Target_Anchor_X = 940
	WLHUD_SAVE.Target_Anchor_Y = 860
	WLHUD_SAVE.TargetHP_Anchor_X = 1300
	WLHUD_SAVE.TargetHP_Anchor_Y = 936
	WLHUD_SAVE.TargetHP_Texture = true
	-- WLHUD_SAVE.TargetHP_Height = 0
	-- WLHUD_SAVE.TargetMP_Anchor_X = 1300
	-- WLHUD_SAVE.TargetMP_Anchor_Y = 961
	-- WLHUD_SAVE.TargetMP_Height = 0
	-- WLHUD_SAVE.TargetSP_Anchor_X = 1300
	-- WLHUD_SAVE.TargetSP_Anchor_Y = 986
	-- WLHUD_SAVE.TargetSP_Height = 0
	-- WLHUD_SAVE.TargetTarget_Anchor_X = 1245
	-- WLHUD_SAVE.TargetTarget_Anchor_Y = 750
	WLHUD_SAVE.PlayerBuffs_X = 635
	WLHUD_SAVE.PlayerBuffs_Y = 845
	WLHUD_SAVE.PlayerDEBuffs_X = 635
	WLHUD_SAVE.PlayerDEBuffs_Y = 780
	WLHUD_SAVE.TargetBuffs_X = 1305
	WLHUD_SAVE.TargetBuffs_Y = 970
	WLHUD_SAVE.TargetDEBuffs_X = 1305
	WLHUD_SAVE.TargetDEBuffs_Y = 905
	WLHUD_SAVE.SharedArea_X = 860
	WLHUD_SAVE.SharedArea_Y = 200
	WLHUD_SAVE.Player_Scale = 0.75
	WLHUD_SAVE.Target_Scale = 0.75
	-- WLHUD_SAVE.TargetTarget_Scale = 0.75
	WLHUD_SAVE.PBuff_R = 1
	WLHUD_SAVE.PBuff_G = 1
	WLHUD_SAVE.PBuff_B = 1
	WLHUD_SAVE.PDEBuff_R = 1
	WLHUD_SAVE.PDEBuff_G = 1
	WLHUD_SAVE.PDEBuff_B = 1
	WLHUD_SAVE.TBuff_R = 1
	WLHUD_SAVE.TBuff_G = 1
	WLHUD_SAVE.TBuff_B = 1
	WLHUD_SAVE.TDEBuff_R = 1
	WLHUD_SAVE.TDEBuff_G = 1
	WLHUD_SAVE.TDEBuff_B = 1
	WLHUD_SAVE.PCastS_R = 0.553
	WLHUD_SAVE.PCastS_G = 0.251
	WLHUD_SAVE.PCastS_B = 0.141
	WLHUD_SAVE.PCastE_R = 0.682
	WLHUD_SAVE.PCastE_G = 0.537
	WLHUD_SAVE.PCastE_B = 0.392
	WLHUD_SAVE.Enable_Player_HP_Text = true
	WLHUD_SAVE.Enable_Player_MP_Text = true
	WLHUD_SAVE.Enable_Player_SP_Text = true
	-- WLHUD_SAVE.Enable_Player_CastBar = true
	WLHUD_SAVE.Enable_Player_Buffs = true
	WLHUD_SAVE.Enable_Player_Buffs_Tm = true
	WLHUD_SAVE.Enable_Player_DEBuffs = true
	WLHUD_SAVE.Enable_Player_DEBuffs_Tm = true
	WLHUD_SAVE.Enable_Player_HP_Perc = true
	WLHUD_SAVE.Enable_Player_MP_Perc = true
	WLHUD_SAVE.Enable_Player_SP_Perc = true
	WLHUD_SAVE.Player_HP_InBar = false
	WLHUD_SAVE.Player_SP_InBar = false
	WLHUD_SAVE.Player_MP_InBar = false
	WLHUD_SAVE.Enable_Target = true
	WLHUD_SAVE.Target_HPBar_Width = 350
	-- WLHUD_SAVE.Target_MPBar_Width = 350
	-- WLHUD_SAVE.Target_SPBar_Width = 350
	WLHUD_SAVE.TargetHP_Height = 0
	-- WLHUD_SAVE.TargetMP_Height = 0
	-- WLHUD_SAVE.TargetSP_Height = 0
	WLHUD_SAVE.Enable_Target_Exec = true
	WLHUD_SAVE.Target_Exec_Tresh = 20
	WLHUD_SAVE.Target_HP_InBar = true
	-- WLHUD_SAVE.Target_SP_InBar = true
	-- WLHUD_SAVE.Target_MP_InBar = true
	-- WLHUD_SAVE.Enable_Target_CastBar = true
	WLHUD_SAVE.Enable_Target_HP_Perc = true
	-- WLHUD_SAVE.Enable_Target_MP_Perc = true
	-- WLHUD_SAVE.Enable_Target_SP_Perc = true
	WLHUD_SAVE.Enable_Target_Buffs = true
	WLHUD_SAVE.Enable_Target_Buffs_Tm = true
	WLHUD_SAVE.Enable_Target_DEBuffs = true
	WLHUD_SAVE.Enable_Target_DEBuffs_Tm = true
	WLHUD_SAVE.Enable_Target_T = true
	-- WLHUD_SAVE.Enable_Target_T_CastBar = true
	WLHUD_SAVE.Enable_Target_T_HP_Perc = true
	-- WLHUD_SAVE.Enable_Target_T_MP_Perc = true
	-- WLHUD_SAVE.Enable_Target_T_SP_Perc = true
	WLHUD_SAVE.Language = "English"
	WLHUD_SAVE.Lock_All_Frames = true
	WLHUD_SAVE.Enable_MemUsage = false
	WLHUD_SAVE.Enable_Preview = false
	WLHUD_SAVE.Target_Perc_X = 220
	WLHUD_SAVE.TargetT_Perc_X = 100
	WLHUD_SAVE.Target_LBL_Width = 350
	WLHUD_SAVE.Player_FadeOut = 0.5
	WLHUD_SAVE.Target_FadeOut = 0.5
	WLHUD_SAVE.PBuff_Scale = 1
	WLHUD_SAVE.PDEBuff_Scale = 1
	WLHUD_SAVE.TBuff_Scale = 1
	WLHUD_SAVE.TDEBuff_Scale = 1
	WLHUD_SAVE.Bars_Font = "ZoFontAlert"
	WLHUD_SAVE.Bars_Font_Size = 1
	WLHUD_SAVE.Player_PermaBuffs = true
	WLHUD_SAVE.Target_PermaBuffs = true
	WLHUD_SAVE.Player_MaxStat = false
	WLHUD_SAVE.Target_MaxStat = false
	WLHUD_SAVE.Enalbe_Target_Class = false
	WLHUD_SAVE.PBuff_BG_R = 0.13
	WLHUD_SAVE.PBuff_BG_G = 0.8
	WLHUD_SAVE.PBuff_BG_B = 0.13
	WLHUD_SAVE.PDEBuff_BG_R = 0.8
	WLHUD_SAVE.PDEBuff_BG_G = 0.13
	WLHUD_SAVE.PDEBuff_BG_B = 0.13
	WLHUD_SAVE.TBuff_BG_R = 0.13
	WLHUD_SAVE.TBuff_BG_G = 0.8
	WLHUD_SAVE.TBuff_BG_B = 0.13
	WLHUD_SAVE.TDEBuff_BG_R = 0.8
	WLHUD_SAVE.TDEBuff_BG_G = 0.13
	WLHUD_SAVE.TDEBuff_BG_B = 0.13
	WLHUD_SAVE.Player_HP_Alert = true
	WLHUD_SAVE.Player_HP_Enable = true
	WLHUD_SAVE.Player_HP_Tresh = 30
	WLHUD_SAVE.Player_MP_Alert = true
	WLHUD_SAVE.Player_MP_Enable = true
	WLHUD_SAVE.Player_MP_Tresh = 30
	WLHUD_SAVE.Player_SP_Alert = true
	WLHUD_SAVE.Player_SP_Enable = true
	WLHUD_SAVE.Player_SP_Tresh = 30
	WLHUD_SAVE.Player_HPBar_Width = 450
	WLHUD_SAVE.Player_MPBar_Width = 450
	WLHUD_SAVE.Player_SPBar_Width = 450
	WLHUD_SAVE.Player_CatBar_Width = 450
	WLHUD_SAVE.Player_HPPerc_X = 220
	WLHUD_SAVE.Player_MPPerc_X = 220
	WLHUD_SAVE.Player_SPPerc_X = 220
	WLHUD_SAVE.Def_ZOS_Target = false
	WLHUD_SAVE.Exec_Type = 1
	WLHUD_SAVE.Exec_Size = 64

	ReloadUI()
end