local LAM = LibStub("LibAddonMenu-1.0")
local Exec_Type = {"3D Skull", "Orange Skull", "Mark Target", "Terrorist"}

function WLHUD_Menu_Target()
	LAM:AddHeader(WLHUD_Menu, "WLHUD_Menu_Header_Target", "|cF0C300"..WLHUD_Header_TargetOpt)

	--[[#############################################################################################################]]--
	--[[ MAIN ]]--
	--[[#############################################################################################################]]--
	LAM:AddCheckbox(WLHUD_Menu, "Enable_Target", WLHUD_Enable_TargetOpt, WLHUD_Enable_TargetOpt_LBL,
		function() return WLHUD_SAVE.Enable_Target end, 
		function(val)
			WLHUD_SAVE.Enable_Target = val
			WLHUD_TARGET.Anchor:SetHidden(not WLHUD_SAVE.Enable_Target)
		end)

	LAM:AddCheckbox(WLHUD_Menu, "Enable_Def_ZOS_Target", WLHUD_Def_ZOS_TargetOpt, WLHUD_Def_ZOS_TargetOpt_LBL,
		function() return WLHUD_SAVE.Def_ZOS_Target end, 
		function(val)
			WLHUD_SAVE.Def_ZOS_Target = val
			ZO_TargetUnitFramereticleover:SetHidden(not WLHUD_SAVE.Def_ZOS_Target)
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetScale", WLHUD_TargetSacle_Opt, WLHUD_TargetSacle_Opt_LBL, 50, 100, 1,
		function() return WLHUD_SAVE.Target_Scale * 100 end,
		function(value)
			WLHUD_SAVE.Target_Scale = value / 100
			WLHUD_TARGET.Anchor:SetScale(WLHUD_SAVE.Target_Scale)
			WLHUD_TARGET.Anchor:SetHidden(false)
		end)

	LAM:AddSlider(WLHUD_Menu, "Menu_Taget.FadeOut", "Set Target's FadeOut", "Change the Target's Frame transparency while Out of Combat", 0, 100, 1,
		function() return WLHUD_SAVE.Target_FadeOut * 100 end,
		function(value)
			WLHUD_SAVE.Target_FadeOut = value / 100

			WLHUD_TARGET.HPB:SetAlpha(WLHUD_SAVE.Target_FadeOut)
			WLHUD_TARGET.HPB:SetHidden(false)
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetLBL_Width", WLHUD_TargetLBL_Width_Opt, WLHUD_TargetLBL_Width_Opt_LBL, 250, 350, 1,
		function() return WLHUD_SAVE.Target_LBL_Width end,
		function(value)
			WLHUD_SAVE.Target_LBL_Width = value
			-- WLHUD_TARGET.Cast_BG:SetWidth(WLHUD_SAVE.Target_LBL_Width)
			-- WLHUD_TARGET.Cast_BG:SetAnchor(TOPLEFT, WLHUD_TargetCastAnchor, TOPLEFT, 350 - WLHUD_SAVE.Target_LBL_Width,-4)
			-- WLHUD_TargetCast_Bar:SetAnchor(TOPLEFT, WLHUD_TargetCastAnchor, TOPLEFT, 350 - WLHUD_SAVE.Target_LBL_Width,0)

			if (WLHUD_SAVE.Enable_Target_CastBar == true) then
				if (WLHUD_SAVE.Enalbe_Target_Class == true) then
					WLHUD_TARGET.Class:SetHidden(false)
					WLHUD_TARGET.Class:SetText(WLHUD_TARGET.Class_LBL)
					WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,-78)
				else
					WLHUD_TARGET.Class:SetHidden(true)
					WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,-68)
				end
				WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 350 - WLHUD_SAVE.Target_LBL_Width,-68)
				WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,-70)
				WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,-72)
				WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,-72)
				WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,-72)
			else
				if (WLHUD_SAVE.Enalbe_Target_Class == true) then
					WLHUD_TARGET.Class:SetHidden(false)
					WLHUD_TARGET.Class:SetText(WLHUD_TARGET.Class)
					WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,-65)
				else
					WLHUD_TARGET.Class:SetHidden(true)
					WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,-45)
				end
				WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 350 - WLHUD_SAVE.Target_LBL_Width,-45)
				WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,-47)
				WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,-49)
				WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,-49)
				WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,-49)
			end

			WLHUD_TARGET.Anchor:SetHidden(false)
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetPerc", WLHUD_TargetPerc_Opt, WLHUD_TargetPerc_Opt_LBL, -60, 600, 5,
		function() return WLHUD_SAVE.Target_Perc_X end,
		function(value)
			WLHUD_SAVE.Target_Perc_X = value
			WLHUD_TARGET.HPPerc:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, (WLHUD_SAVE.Target_HPBar_Width / 350) * WLHUD_SAVE.Target_Perc_X,0)
			-- WLHUD_TARGET.MPPerc:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, (WLHUD_SAVE.Target_MPBar_Width / 350) * WLHUD_SAVE.Target_Perc_X,33)
			-- WLHUD_TARGET.SPPerc:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, (WLHUD_SAVE.Target_SPBar_Width / 350) * WLHUD_SAVE.Target_Perc_X,64)
			WLHUD_TARGET.Anchor:SetHidden(false)
		end)

	--[[#############################################################################################################]]--
	--[[ MAXSTATS ]]--
	--[[#############################################################################################################]]--
	LAM:AddCheckbox(WLHUD_Menu, "Show_Target_MaxStats", WLHUD_TARGET.MaxStats, WLHUD_TARGET.MaxStats_LBL,
		function() return WLHUD_SAVE.Target_MaxStat end, 
		function(val)
			WLHUD_SAVE.Target_MaxStat = val
		end)

	--[[#############################################################################################################]]--
	--[[ HP ]]--
	--[[#############################################################################################################]]--
	LAM:AddHeader(WLHUD_Menu, "WLHUD_Menu_Header_THP", "|cF0C300"..WLHUD_Header_THPOpt)

	LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_Exec", WLHUD_Enable_TargetExec, WLHUD_Enable_TargetExec_LBL,
		function() return WLHUD_SAVE.Enable_Target_Exec end, 
		function(val)
			WLHUD_SAVE.Enable_Target_Exec = val
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_Exec_Tresh", WLHUD_Exec_Tresh_Opt, WLHUD_Exec_TreshOpt_LBL, 10, 50, 1,
		function() return WLHUD_SAVE.Target_Exec_Tresh end,
		function(value)
			WLHUD_SAVE.Target_Exec_Tresh = value
		end)

	LAM:AddDropdown(WLHUD_Menu, "WLHUD_ExecType", "Execute Type", "", Exec_Type,
		function()
				if (WLHUD_SAVE.Exec_Type == 1) then
					return "3D Skull"
				elseif (WLHUD_SAVE.Exec_Type == 2) then
					return "Orange Skull"
				elseif (WLHUD_SAVE.Exec_Type == 3) then
					return "Mark Target"
				elseif (WLHUD_SAVE.Exec_Type == 4) then
					return "Terrorist"
				end			
			end,
		function(val)
			if (val == "3D Skull") then
				WLHUD_SAVE.Exec_Type = 1
			elseif (val ==  "Orange Skull") then
				WLHUD_SAVE.Exec_Type = 2
			elseif (val ==  "Mark Target") then
				WLHUD_SAVE.Exec_Type = 3
			elseif (val ==  "Terrorist") then
				WLHUD_SAVE.Exec_Type = 4
			end

			WLHUD_TARGET.Execute:SetTexture("WarLegendHUD/img/exec/tex_exec_"..WLHUD_SAVE.Exec_Type..".dds")
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_Exec_Size", "Execute Size", "", 32, 128, 1,
		function() return WLHUD_SAVE.Exec_Size end,
		function(value)
			WLHUD_SAVE.Exec_Size = value
			WLHUD_TARGET.Execute:SetDimensions(WLHUD_SAVE.Exec_Size,WLHUD_SAVE.Exec_Size)
			WLHUD_TARGET.Execute:SetAnchor(CENTER, WLHUD_TARGET.Execute_LBL, CENTER, 0,20 + (WLHUD_SAVE.Exec_Size / 2))
		end)

	LAM:AddCheckbox(WLHUD_Menu, "Enable_TargetHPBar_Texture", "Enable Overlay Texture", "Enable Overlay Texture",
		function() return WLHUD_SAVE.TargetHP_Texture end, 
		function(val)
			WLHUD_SAVE.TargetHP_Texture = val
			WLHUD_TARGET.HPB_Tex:SetHidden(not WLHUD_SAVE.TargetHP_Texture)
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetHPBar_Width", WLHUD_TargetHPBar_Width_Opt, WLHUD_TargetHPBar_Width_Opt_LBL, 250, 450, 1,
		function() return WLHUD_SAVE.Target_HPBar_Width end,
		function(value)
			WLHUD_SAVE.Target_HPBar_Width = value
			WLHUD_TARGET.HPPerc:SetAnchor(LEFT, WLHUD_TARGET.HP_Anchor, LEFT, (WLHUD_SAVE.Target_HPBar_Width / 450) * 1 + 152,0)
			WLHUD_TARGET.HPB_Tex:SetWidth(WLHUD_SAVE.Target_HPBar_Width)
			WLHUD_TARGET.HPB_BG:SetWidth(WLHUD_SAVE.Target_HPBar_Width + 160)
			WLHUD_TARGET.HPB_TexBG:SetWidth(WLHUD_SAVE.Target_HPBar_Width )
			WLHUD_TARGET.HPB:SetWidth(WLHUD_SAVE.Target_HPBar_Width)
			WLHUD_TARGET.Anchor:SetHidden(false)
		end)

	LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetHPBar_Height", WLHUD_TargetHPBar_Height_Opt, WLHUD_TargetHPBar_Height_Opt_LBL, -5, 20, 1,
		function() return WLHUD_SAVE.TargetHP_Height end,
		function(value)
			WLHUD_SAVE.TargetHP_Height = value
			WLHUD_TARGET.HPB_Tex:SetDimensions(WLHUD_SAVE.Target_HPBar_Width,26 + WLHUD_SAVE.TargetHP_Height)
			WLHUD_TARGET.HPB_TexBG:SetDimensions(WLHUD_SAVE.Target_HPBar_Width,27 + WLHUD_SAVE.TargetHP_Height)
			WLHUD_TARGET.HPB:SetDimensions(WLHUD_SAVE.Target_HPBar_Width,20 + WLHUD_SAVE.TargetHP_Height)
			WLHUD_TARGET.Anchor:SetHidden(false)
		end)

	LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_HP_Perc", WLHUD_TARGET.HPPercOpt, WLHUD_TARGET.HPPercOpt_LBL,
		function() return WLHUD_SAVE.Enable_Target_HP_Perc end, 
		function(val)
			WLHUD_SAVE.Enable_Target_HP_Perc = val
			WLHUD_TARGET.HPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_HP_Perc)
		end)

	LAM:AddCheckbox(WLHUD_Menu, "Target_HP_InBar", Target_HP_TextOpt, Target_HP_TextOpt_LBL,
		function() return WLHUD_SAVE.Target_HP_InBar end, 
		function(val)
			WLHUD_SAVE.Target_HP_InBar = val

			if (WLHUD_SAVE.Target_HP_InBar == true) then
				WLHUD_TARGET.HPBT:SetAnchor(LEFT, WLHUD_TARGET.HPB, RIGHT, -150,0)
				WLHUD_TARGET.HPB_BG:SetHidden(true)
			else
				WLHUD_TARGET.HPBT:SetAnchor(LEFT, WLHUD_TARGET.HP_Anchor, LEFT, -120,0)
				WLHUD_TARGET.HPB_BG:SetHidden(false)
			end			
		end)

	--[[#############################################################################################################]]--
	--[[ MP ]]--
	--[[#############################################################################################################]]--
	-- LAM:AddHeader(WLHUD_Menu, "WLHUD_Menu_Header_TMP", "|cF0C300"..WLHUD_Header_TMPOpt)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetMPBar_Width", WLHUD_TargetMPBar_Width_Opt, WLHUD_TargetMPBar_Width_Opt_LBL, 250, 450, 1,
	-- 	function() return WLHUD_SAVE.Target_MPBar_Width end,
	-- 	function(value)
	-- 		WLHUD_SAVE.Target_MPBar_Width = value
	-- 		WLHUD_TARGET.MPPerc:SetAnchor(LEFT, WLHUD_TARGET.MP_Anchor, LEFT, (WLHUD_SAVE.Target_MPBar_Width / 450) * WLHUD_SAVE.Target_MPPerc_X + 152,0)
	-- 		WLHUD_TARGET.MPB_Tex:SetWidth(WLHUD_SAVE.Target_MPBar_Width)
	-- 		WLHUD_TARGET.MPB_BG:SetWidth(WLHUD_SAVE.Target_MPBar_Width + 140)
	-- 		WLHUD_TARGET.MPB_TexBG:SetWidth(WLHUD_SAVE.Target_MPBar_Width )
	-- 		WLHUD_TARGET.MPB:SetWidth(WLHUD_SAVE.Target_MPBar_Width)
	-- 		WLHUD_TARGET.Anchor:SetHidden(false)
	-- 	end)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetMPBar_Height", WLHUD_TargetMPBar_Height_Opt, WLHUD_TargetMPBar_Height_Opt_LBL, -5, 20, 1,
	-- 	function() return WLHUD_SAVE.TargetMP_Height end,
	-- 	function(value)
	-- 		WLHUD_SAVE.TargetMP_Height = value
	-- 		WLHUD_TARGET.MPB_Tex:SetDimensions(WLHUD_SAVE.Target_MPBar_Width,26 + WLHUD_SAVE.TargetMP_Height)
	-- 		WLHUD_TARGET.MPB_TexBG:SetDimensions(WLHUD_SAVE.Target_MPBar_Width,27 + WLHUD_SAVE.TargetMP_Height)
	-- 		WLHUD_TARGET.MPB:SetDimensions(WLHUD_SAVE.Target_MPBar_Width,20 + WLHUD_SAVE.TargetMP_Height)
	-- 		WLHUD_TARGET.Anchor:SetHidden(false)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_MP_Perc", WLHUD_TARGET.MPPercOpt, WLHUD_TARGET.MPPercOpt_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_MP_Perc end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_MP_Perc = val
	-- 		WLHUD_TARGET.MPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_MP_Perc)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Target_MP_InBar", Target_MP_TextOpt, Target_MP_TextOpt_LBL,
	-- 	function() return WLHUD_SAVE.Target_MP_InBar end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Target_MP_InBar = val
	-- 	end)

	--[[#############################################################################################################]]--
	--[[ SP ]]--
	--[[#############################################################################################################]]--
	-- LAM:AddHeader(WLHUD_Menu, "WLHUD_Menu_Header_TSP", "|cF0C300"..WLHUD_Header_TSPOpt)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetSPBar_Width", WLHUD_TargetSPBar_Width_Opt, WLHUD_TargetSPBar_Width_Opt_LBL, 250, 450, 1,
	-- 	function() return WLHUD_SAVE.Target_SPBar_Width end,
	-- 	function(value)
	-- 		WLHUD_SAVE.Target_SPBar_Width = value
	-- 		WLHUD_TARGET.SPPerc:SetAnchor(LEFT, WLHUD_TARGET.SP_Anchor, LEFT, (WLHUD_SAVE.Target_SPBar_Width / 450) * WLHUD_SAVE.Target_SPPerc_X + 152,0)
	-- 		WLHUD_TARGET.SPB_Tex:SetWidth(WLHUD_SAVE.Target_SPBar_Width)
	-- 		WLHUD_TARGET.SPB_BG:SetWidth(WLHUD_SAVE.Target_SPBar_Width + 140)
	-- 		WLHUD_TARGET.SPB_TexBG:SetWidth(WLHUD_SAVE.Target_SPBar_Width )
	-- 		WLHUD_TARGET.SPB:SetWidth(WLHUD_SAVE.Target_SPBar_Width)
	-- 		WLHUD_TARGET.Anchor:SetHidden(false)
	-- 	end)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TargetSPBar_Height", WLHUD_TargetSPBar_Height_Opt, WLHUD_TargetSPBar_Height_Opt_LBL, -5, 20, 1,
	-- 	function() return WLHUD_SAVE.TargetSP_Height end,
	-- 	function(value)
	-- 		WLHUD_SAVE.TargetSP_Height = value
	-- 		WLHUD_TARGET.SPB_Tex:SetDimensions(WLHUD_SAVE.Target_SPBar_Width,26 + WLHUD_SAVE.TargetSP_Height)
	-- 		WLHUD_TARGET.SPB_TexBG:SetDimensions(WLHUD_SAVE.Target_SPBar_Width,27 + WLHUD_SAVE.TargetSP_Height)
	-- 		WLHUD_TARGET.SPB:SetDimensions(WLHUD_SAVE.Target_SPBar_Width,20 + WLHUD_SAVE.TargetSP_Height)
	-- 		WLHUD_TARGET.Anchor:SetHidden(false)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_SP_Perc", WLHUD_TARGET.SPPercOpt, WLHUD_TARGET.SPPercOpt_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_SP_Perc end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_SP_Perc = val
	-- 		WLHUD_TARGET.SPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_SP_Perc)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Target_SP_InBar", Target_SP_TextOpt, Target_SP_TextOpt_LBL,
	-- 	function() return WLHUD_SAVE.Target_SP_InBar end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Target_SP_InBar = val
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_CastBar", WLHUD_TARGET.CastOpt, WLHUD_TARGET.CastOpt_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_CastBar end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_CastBar = val
	-- 		WLHUD_TargetCastAnchor:SetHidden(not WLHUD_SAVE.Enable_Target_CastBar)
	-- 	end)
			
	--[[#############################################################################################################]]--
	--[[ BUFFS ]]--
	--[[#############################################################################################################]]--
	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_Buffs", WLHUD_TARGET.BuffsOpt, WLHUD_TARGET.BuffsOpt_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_Buffs end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_Buffs = val
	-- 		WLHUD_TARGET.Buff_MW:SetHidden(not WLHUD_SAVE.Enable_Target_Buffs)
	-- 		WLHUD_T_PreviewBuff_MW:SetHidden(not WLHUD_SAVE.Enable_Target_Buffs)
	-- 	end)

	-- LAM:AddColorPicker(WLHUD_Menu, "WLHUD_TBuffs_Color_BG", WLHUD_TBuff_BG_ColorOpt, WLHUD_TBuff_BG_ColorOpt,
	-- 	function() return WLHUD_SAVE.TBuff_BG_R, WLHUD_SAVE.TBuff_BG_G, WLHUD_SAVE.TBuff_BG_B end,
	-- 	function(r,g,b,a)
	-- 		WLHUD_SAVE.TBuff_BG_R = r
	-- 		WLHUD_SAVE.TBuff_BG_G = g
	-- 		WLHUD_SAVE.TBuff_BG_B = b
	-- 		WLHUD_TBuff_PreviewBG:SetEdgeColor(WLHUD_SAVE.TBuff_BG_R, WLHUD_SAVE.TBuff_BG_G, WLHUD_SAVE.TBuff_BG_B, 1)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_Buffs_Tm", WLHUD_TARGET.BuffsOpt_Tm, WLHUD_TARGET.BuffsOpt_Tm_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_Buffs_Tm end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_Buffs_Tm = val
	-- 		WLHUD_TBuff_Preview_LBL:SetHidden(not WLHUD_SAVE.Enable_Target_Buffs_Tm)
	-- 	end)

	-- LAM:AddColorPicker(WLHUD_Menu, "WLHUD_TBuffs_Color", WLHUD_TBuff_ColorOpt, WLHUD_TBuff_ColorOpt,
	-- 	function() return WLHUD_SAVE.TBuff_R, WLHUD_SAVE.TBuff_G, WLHUD_SAVE.TBuff_B end,
	-- 	function(r,g,b,a)
	-- 		WLHUD_SAVE.TBuff_R = r
	-- 		WLHUD_SAVE.TBuff_G = g
	-- 		WLHUD_SAVE.TBuff_B = b
	-- 		WLHUD_TBuff_Preview_LBL:SetColor(WLHUD_SAVE.TBuff_R, WLHUD_SAVE.TBuff_G, WLHUD_SAVE.TBuff_B, 1)
	-- 	end)
	
	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_Buffs_longTerm", WLHUD_TARGET.BuffsLongTerm, WLHUD_TARGET.BuffsLongTerm_LBL,
	-- 	function() return WLHUD_SAVE.Target_PermaBuffs end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Target_PermaBuffs = val
	-- 	end)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TBuff_Scale", WLHUD_TBuff_Scale_Opt, WLHUD_TBuff_Scale_Opt_LBL, 50, 100, 1,
	-- 	function() return WLHUD_SAVE.TBuff_Scale * 100 end,
	-- 	function(value)
	-- 		WLHUD_SAVE.TBuff_Scale = value / 100
	-- 		WLHUD_TARGET.Buff_MW:SetScale(WLHUD_SAVE.TBuff_Scale)
	-- 		WLHUD_T_PreviewBuff_MW:SetScale(WLHUD_SAVE.TBuff_Scale)
	-- 	end)
						
	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_DEBuffs", WLHUD_TARGET.DEBuffsOpt, WLHUD_TARGET.DEBuffsOpt_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_DEBuffs end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_DEBuffs = val 
	-- 		WLHUD_TARGET.DeBuff_MW:SetHidden(not WLHUD_SAVE.Enable_Target_DEBuffs)
	-- 		WLHUD_T_PreviewDEBuff_MW:SetHidden(not WLHUD_SAVE.Enable_Target_DEBuffs)
	-- 	end)

	-- LAM:AddColorPicker(WLHUD_Menu, "WLHUD_TDEBuffs_Color_BG", WLHUD_TDEBuff_BG_ColorOpt, WLHUD_TDEBuff_BG_ColorOpt,
	-- 	function() return WLHUD_SAVE.TDEBuff_BG_R, WLHUD_SAVE.TDEBuff_BG_G, WLHUD_SAVE.TDEBuff_BG_B end,
	-- 	function(r,g,b,a)
	-- 		WLHUD_SAVE.TDEBuff_BG_R = r
	-- 		WLHUD_SAVE.TDEBuff_BG_G = g
	-- 		WLHUD_SAVE.TDEBuff_BG_B = b
	-- 		WLHUD_TDEBuff_PreviewBG:SetEdgeColor(WLHUD_SAVE.TDEBuff_BG_R, WLHUD_SAVE.TDEBuff_BG_G, WLHUD_SAVE.TDEBuff_BG_B, 1)
	-- 	end)

	-- LAM:AddCheckbox(WLHUD_Menu, "Enable_Target_DEBuffs_Tm", WLHUD_TARGET.DEBuffsOpt_Tm, WLHUD_TARGET.DEBuffsOpt_Tm_LBL,
	-- 	function() return WLHUD_SAVE.Enable_Target_DEBuffs_Tm end, 
	-- 	function(val)
	-- 		WLHUD_SAVE.Enable_Target_DEBuffs_Tm = val
	-- 		WLHUD_TDEBuff_Preview_LBL:SetHidden(not WLHUD_SAVE.Enable_Target_DEBuffs_Tm)
	-- 	end)

	-- LAM:AddColorPicker(WLHUD_Menu, "WLHUD_TDEBuffs_Color", WLHUD_TDEBuff_ColorOpt, WLHUD_TDEBuff_ColorOpt,
	-- 	function() return WLHUD_SAVE.TDEBuff_R, WLHUD_SAVE.TDEBuff_G, WLHUD_SAVE.TDEBuff_B end,
	-- 	function(r,g,b,a)
	-- 		WLHUD_SAVE.TDEBuff_R = r
	-- 		WLHUD_SAVE.TDEBuff_G = g
	-- 		WLHUD_SAVE.TDEBuff_B = b
	-- 		WLHUD_TDEBuff_Preview_LBL:SetColor(WLHUD_SAVE.TDEBuff_R, WLHUD_SAVE.TDEBuff_G, WLHUD_SAVE.TDEBuff_B, 1)
	-- 	end)

	-- LAM:AddSlider(WLHUD_Menu, "WLHUD_TDEBuff_Scale", WLHUD_TDEBuff_Scale_Opt, WLHUD_TDEBuff_Scale_Opt_LBL, 50, 100, 1,
	-- 	function() return WLHUD_SAVE.TDEBuff_Scale * 100 end,
	-- 	function(value)
	-- 		WLHUD_SAVE.TDEBuff_Scale = value / 100
	-- 		WLHUD_TARGET.DeBuff_MW:SetScale(WLHUD_SAVE.TDEBuff_Scale)
	-- 		WLHUD_T_PreviewDEBuff_MW:SetScale(WLHUD_SAVE.TDEBuff_Scale)
	-- 	end)
end --WLHUD_Menu_Target()