local PlayerShield_Total = 0
local TargetShield_Total = 0
local TargetTargetShield_Total = 0

function WLHUD_NewDamageShield(eventCode, unitTag, unitAttributeVisual, statType, attributeType, powerType, value, maxValue)
	-- d(value)
	if (unitAttributeVisual == 1) and (powerType == -2) then
		if (unitTag == "player") then		
			WLHUD_PLAYER.HP_Modifier = value / 1000
			WLHUD_PLAYER:Update()
		elseif (unitTag == "reticleover") then
			WLHUD_TARGET.HP_Modifier = value / 1000
		end
	elseif (unitAttributeVisual == 5) then
		if (unitTag == "player") then
			WLHUD_PLAYER.Shield:SetHidden(false)
			WLHUD_PLAYER.Shield_Value:SetHidden(false)
			WLHUD_PlayerShield_Bar:SetHidden(false)
			
			WLHUD_PLAYER_HP_C, WLHUD_PLAYER_HP_M = GetUnitPower("player", -2)
			if (WLHUD_PLAYER_HP_M > maxValue) then
				WLHUD_Shield_Perc = (maxValue / WLHUD_PLAYER_HP_M) * WLHUD_SAVE.Player_HPBar_Width
			else
				WLHUD_Shield_Perc = (WLHUD_PLAYER_HP_M / WLHUD_PLAYER_HP_M) * WLHUD_SAVE.Player_HPBar_Width
			end
			
			WLHUD_PlayerShield_Bar:SetWidth(WLHUD_Shield_Perc)
			WLHUD_PLAYER.Shield_Value:SetText(maxValue)
			PlayerShield_Total = maxValue

		elseif (unitTag == "reticleover") then
			WLHUD_TARGET.Shield:SetHidden(false)
			WLHUD_TARGET.Shield_Value:SetHidden(false)
			WLHUD_TargetShield_Bar:SetHidden(false)

			WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M = GetUnitPower("reticleover", -2)
			if (WLHUD_TARGET_HP_M > maxValue) then
				WLHUD_TShield_Perc = (maxValue / WLHUD_TARGET_HP_M) * WLHUD_SAVE.Target_HPBar_Width
			else
				WLHUD_TShield_Perc = (WLHUD_TARGET_HP_M / WLHUD_TARGET_HP_M) * WLHUD_SAVE.Target_HPBar_Width
			end

			WLHUD_TargetShield_Bar:SetWidth(WLHUD_Shield_Perc)
			WLHUD_TARGET.Shield_Value:SetText(maxValue)
			TargetShield_Total = maxValue

		-- elseif (unitTag == "reticleovertarget") then
		-- 	WLHUD_TARGET_T.Shield:SetHidden(false)
		-- 	WLHUD_TARGET_T.Shield_Value:SetHidden(false)
		-- 	WLHUD_TARGET_T.Shield_Bar:SetHidden(false)

		-- 	WLHUD_TARGET_T.HP_C, WLHUD_TARGET_T_HP_M = GetUnitPower("reticleovertarget", -2)
		-- 	if (WLHUD_TARGET_T_HP_M > maxValue) then
		-- 		WLHUD_TShield_Perc = (maxValue / WLHUD_TARGET_T_HP_M) * 250
		-- 	else
		-- 		WLHUD_TShield_Perc = (WLHUD_TARGET_T_HP_M / WLHUD_TARGET_T_HP_M) * 250
		-- 	end

		-- 	WLHUD_TARGET_T.Shield_Bar:SetWidth(WLHUD_Shield_Perc)
		-- 	WLHUD_TARGET_T.Shield_Value:SetText(maxValue)
		-- 	TargetTargetShield_Total = maxValue
		end
	end
end


function WLHUD_UpdateDamageShield(eventCode, unitTag, unitAttributeVisual, statType, attributeType, powerType, oldValue, newValue, oldMaxValue, newMaxValue)
	if (unitAttributeVisual == 5) then
		if (unitTag == "player") then
			if (newValue < 1) or (newValue == nil) then
				WLHUD_PLAYER.Shield:SetHidden(true)
				WLHUD_PLAYER.Shield_Value:SetHidden(true)
				WLHUD_PlayerShield_Bar:SetHidden(true)
			else
				WLHUD_PLAYER.Shield:SetHidden(false)
				WLHUD_PLAYER.Shield_Value:SetHidden(false)
				WLHUD_PlayerShield_Bar:SetHidden(false)
				
				WLHUD_PLAYER_HP_C, WLHUD_PLAYER_HP_M = GetUnitPower("player", -2) -- 1957 / 212
				if (WLHUD_PLAYER_HP_M > newValue) then
					WLHUD_Shield_Perc = (newValue / WLHUD_PLAYER_HP_M) * WLHUD_SAVE.Player_HPBar_Width
				else
					WLHUD_Shield_Perc = (WLHUD_PLAYER_HP_M / WLHUD_PLAYER_HP_M) * WLHUD_SAVE.Player_HPBar_Width
				end
				
				WLHUD_PlayerShield_Bar:SetWidth(WLHUD_Shield_Perc)
				
				WLHUD_PLAYER.Shield_Value:SetText(newValue)
				PlayerShield_Total = newValue
			end
		elseif (unitTag == "reticleover") then
			if (newValue < 1) or (newValue == nil) then
				WLHUD_TARGET.Shield:SetHidden(true)
				WLHUD_TARGET.Shield_Value:SetHidden(true)
				WLHUD_TargetShield_Bar:SetHidden(true)
			else
				WLHUD_TARGET.Shield:SetHidden(false)
				WLHUD_TARGET.Shield_Value:SetHidden(false)
				WLHUD_TargetShield_Bar:SetHidden(false)

				WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M = GetUnitPower("reticleover", -2)
				if (WLHUD_TARGET_HP_M > newValue) then
					WLHUD_TShield_Perc = (newValue / WLHUD_TARGET_HP_M) * WLHUD_SAVE.Target_HPBar_Width
				else
					WLHUD_TShield_Perc = (WLHUD_TARGET_HP_M / WLHUD_TARGET_HP_M) * WLHUD_SAVE.Target_HPBar_Width
				end

				WLHUD_TargetShield_Bar:SetWidth(WLHUD_Shield_Perc)
				WLHUD_TARGET.Shield_Value:SetText(newValue)
				TargetShield_Total = newValue
			end
		-- elseif (unitTag == "reticleovertarget") then
		-- 	if (newValue < 1) or (newValue == nil) then
		-- 		WLHUD_TARGET_T.Shield:SetHidden(true)
		-- 		WLHUD_TARGET_T.Shield_Value:SetHidden(true)
		-- 		WLHUD_TARGET_T.Shield_Bar:SetHidden(true)
		-- 	else
		-- 		WLHUD_TARGET_T.Shield:SetHidden(false)
		-- 		WLHUD_TARGET_T.Shield_Value:SetHidden(false)
		-- 		WLHUD_TARGET_T.Shield_Bar:SetHidden(false)

		-- 		WLHUD_TARGET_T.HP_C, WLHUD_TARGET_T_HP_M = GetUnitPower("reticleovertarget", -2)
		-- 		if (WLHUD_TARGET_T_HP_M > newValue) then
		-- 			WLHUD_TShield_Perc = (newValue / WLHUD_TARGET_T_HP_M) * 250
		-- 		else
		-- 			WLHUD_TShield_Perc = (WLHUD_TARGET_T_HP_M / WLHUD_TARGET_T_HP_M) * 250
		-- 		end

		-- 		WLHUD_TARGET_T.Shield_Bar:SetWidth(WLHUD_Shield_Perc)
		-- 		WLHUD_TARGET_T.Shield_Value:SetText(newValue)
		-- 		TargetTargetShield_Total = newValue
		-- 	end
		end
	end
end

function WLHUD_EndDamageShield(eventCode, unitTag, unitAttributeVisual, statType, attributeType, powerType, value, maxValue)
	if (unitAttributeVisual == 5) then
		if (unitTag == "player") then
			PlayerShield_Total  = (PlayerShield_Total - maxValue)
			
			if (PlayerShield_Total < 1) or (PlayerShield_Total == nil) then
				WLHUD_PLAYER.Shield:SetHidden(true)
				WLHUD_PLAYER.Shield_Value:SetHidden(true)
				WLHUD_PlayerShield_Bar:SetHidden(true)
			end
		elseif (unitTag == "reticleover") then
			TargetShield_Total  = (TargetShield_Total - maxValue)
			
			if (TargetShield_Total < 1) or (TargetShield_Total == nil) then
				WLHUD_TARGET.Shield:SetHidden(true)
				WLHUD_TARGET.Shield_Value:SetHidden(true)
				WLHUD_TargetShield_Bar:SetHidden(true)
			end
		-- elseif (unitTag == "reticleovertarget") then
		-- 	TargetTargetShield_Total  = (TargetTargetShield_Total - maxValue)
			
		-- 	if (TargetTargetShield_Total < 1) or (TargetTargetShield_Total == nil) then
		-- 		WLHUD_TARGET_T.Shield:SetHidden(true)
		-- 		WLHUD_TARGET_T.Shield_Value:SetHidden(true)
		-- 		WLHUD_TARGET_T.Shield_Bar:SetHidden(true)
		-- 	end
		end
	end
end

function WLHUD_UpdateTargetShield()
	local unitAttributeVisual, statType, attributeType, powerType, value, maxValue = GetAllUnitAttributeVisualizerEffectInfo("reticleover")
	if (unitAttributeVisual == 5) then
		unitTag = "reticleover"
		WLHUD_UpdateDamageShield( unitTag, unitAttributeVisual, statType, attributeType, powerType, oldValue, newValue, oldMaxValue, newMaxValue)
	else
		WLHUD_TARGET.Shield:SetHidden(true)
		WLHUD_TARGET.Shield_Value:SetHidden(true)
		WLHUD_TargetShield_Bar:SetHidden(true)
	end
end

-- function WLHUD_UpdateTargetTargetShield()
-- 	local unitAttributeVisual, statType, attributeType, powerType, value, maxValue = GetAllUnitAttributeVisualizerEffectInfo("reticleovertarget")
-- 	if (unitAttributeVisual == 5) then
-- 		unitTag = "reticleovertarget"
-- 		WLHUD_UpdateDamageShield( unitTag, unitAttributeVisual, statType, attributeType, powerType, oldValue, newValue, oldMaxValue, newMaxValue)
-- 	else
-- 		WLHUD_TARGET.Shield:SetHidden(true)
-- 		WLHUD_TARGET.Shield_Value:SetHidden(true)
-- 		WLHUD_TargetShield_Bar:SetHidden(true)
-- 	end
-- end