function WLHUD_PLAYER:Update(eventCode, unitTag, powerIndex, powerType, powerValue, powerMax, powerEffectiveMax)
	if (WLHUD_FIRSTLOAD == false) then return end
	if (WLHUD_SETTINGS == 0) and (WLHUD_CTRL_CREATED == true) then
		local WLHUD_PLAYER_HP_C, WLHUD_PLAYER_HP_M = GetUnitPower("player", -2)

		if (powerIndex == nil) then			
			local WLHUD_PLAYER_MP_C, WLHUD_PLAYER_MP_M = GetUnitPower("player", 0)
			local WLHUD_PLAYER_SP_C, WLHUD_PLAYER_SP_M = GetUnitPower("player", 6)
			local WLHUD_Mount_SPA_C, WLHUD_Mount_SPA_M = GetUnitPower("player", 11)

			local WLHUD_PLAYER_HP_EffM = WLHUD_PLAYER_HP_M + (WLHUD_PLAYER_HP_M * WLHUD_PLAYER.HP_Modifier)
			local Offset_Player_HP	   = (WLHUD_PLAYER_MP_C / WLHUD_PLAYER_MP_M) * WLHUD_SAVE.Player_HPBar_Width

			local HP_Perc   = math.floor( (WLHUD_PLAYER_HP_C / WLHUD_PLAYER_HP_M) * 100 )
			local Offset_MP = (WLHUD_PLAYER_MP_C / WLHUD_PLAYER_MP_M) * WLHUD_SAVE.Player_MPBar_Width
			local MP_Perc   = math.floor( (WLHUD_PLAYER_MP_C / WLHUD_PLAYER_MP_M) * 100 )
			local Offset_SP = (WLHUD_PLAYER_SP_C / WLHUD_PLAYER_SP_M) * WLHUD_SAVE.Player_SPBar_Width
			local SP_Perc   = math.floor( (WLHUD_PLAYER_SP_C / WLHUD_PLAYER_SP_M) * 100 )

			ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.HPB, WLHUD_PLAYER_HP_C, WLHUD_PLAYER_HP_M, nil)
			ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.MPB, WLHUD_PLAYER_MP_C, WLHUD_PLAYER_MP_M, nil)
			ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.SPB, WLHUD_PLAYER_SP_C, WLHUD_PLAYER_SP_M, nil)
			
			WLHUD_PLAYER.HPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_HP_Perc)
			WLHUD_PLAYER.MPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_MP_Perc)
			WLHUD_PLAYER.SPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_SP_Perc)
			
			if (HP_Perc <= 50) and (HP_Perc > 30) then
				WLHUD_PLAYER.HPBT:SetColor(1,0.843,0)
				WLHUD_PLAYER.HPPerc:SetColor(1,0.843,0)
			elseif (HP_Perc <= 30) and (HP_Perc > 20) then
				WLHUD_PLAYER.HPBT:SetColor(0.871,0.596,0.086)
				WLHUD_PLAYER.HPPerc:SetColor(0.871,0.596,0.086)
			elseif (HP_Perc <= 20) then
				WLHUD_PLAYER.HPBT:SetColor(0.996,0.098,0)
				WLHUD_PLAYER.HPPerc:SetColor(0.996,0.098,0)
			else
				WLHUD_PLAYER.HPBT:SetColor(1,1,1)
				WLHUD_PLAYER.HPPerc:SetColor(1,1,1)
			end
			
			if (MP_Perc <= 50) and (MP_Perc > 30) then
				WLHUD_PLAYER.MPBT:SetColor(1,0.843,0)
				WLHUD_PLAYER.MPPerc:SetColor(1,0.843,0)
			elseif (MP_Perc <= 30) and (MP_Perc > 20) then
				WLHUD_PLAYER.MPBT:SetColor(0.871,0.596,0.086)
				WLHUD_PLAYER.MPPerc:SetColor(0.871,0.596,0.086)
			elseif (MP_Perc <= 20) then
				WLHUD_PLAYER.MPBT:SetColor(0.996,0.098,0)
				WLHUD_PLAYER.MPPerc:SetColor(0.996,0.098,0)
			else
				WLHUD_PLAYER.MPBT:SetColor(1,1,1)
				WLHUD_PLAYER.MPPerc:SetColor(1,1,1)
			end
			
			if (SP_Perc <= 50) and (SP_Perc > 30) then
				WLHUD_PLAYER.SPBT:SetColor(1,0.843,0)
				WLHUD_PLAYER.SPPerc:SetColor(1,0.843,0)
			elseif (SP_Perc <= 30) and (SP_Perc > 20) then
				WLHUD_PLAYER.SPBT:SetColor(0.871,0.596,0.086)
				WLHUD_PLAYER.SPPerc:SetColor(0.871,0.596,0.086)
			elseif (SP_Perc <= 20) then
				WLHUD_PLAYER.SPBT:SetColor(0.996,0.098,0)
				WLHUD_PLAYER.SPPerc:SetColor(0.996,0.098,0)
			else
				WLHUD_PLAYER.SPBT:SetColor(1,1,1)
				WLHUD_PLAYER.SPPerc:SetColor(1,1,1)
			end

			WLHUD_PLAYER.HPPerc:SetText(HP_Perc.." %")
			WLHUD_PLAYER.MPPerc:SetText(MP_Perc.." %")
			WLHUD_PLAYER.SPPerc:SetText(SP_Perc.." %")

			--[[#############################################################################################################]]--
			--[[ LOAD POSITIONS ]]--
			--[[#############################################################################################################]]--
			if (WLHUD_SAVE.Enable_P_Sticky == true) then
				WLHUD_PLAYER.MP_Anchor:SetAnchor(TOPLET, WLHUD_PLAYER.HP_Anchor, TOPLEFT, 0,30)
				WLHUD_PLAYER.SP_Anchor:SetAnchor(TOPLET, WLHUD_PLAYER.MP_Anchor, TOPLEFT, 0,30)
				WLHUD_PLAYER.Horse_Anchor:SetAnchor(TOPLET, WLHUD_PLAYER.SP_Anchor, TOPLEFT, -25,30)				
			end

			-- if (WLHUD_SAVE.MPBarDir == "Left to Right") then
			-- 	-- WLHUD_PLAYER.MPB:SetMinMax(-1 * WLHUD_PLAYER_MP_C, 0)
			-- 	-- WLHUD_PLAYER.MPB:SetBarAlignment(BOTTOMRIGHT)
			-- 	-- WLHUD_PLAYER.MPB:SetOrientation(ORIENTATION_VERTICAL)
			-- 	WLHUD_PLAYER.MPB:SetAnchor(RIGHT, WLHUD_PLAYER_MP_Anchor, RIGHT, 152 + WLHUD_SAVE.Player_MPBar_Width,0)
			-- 	WLHUD_PLAYER.MPB:SetDimensions(-1 * WLHUD_SAVE.Player_MPBar_Width,20 + WLHUD_SAVE.PlayerMP_Height)
			-- end

			if (WLHUD_SAVE.Player_MaxStat == true) then
				WLHUD_PLAYER.HPBT:SetText(WLHUD_PLAYER_HP_C.." / "..WLHUD_PLAYER_HP_EffM)
				WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HP_Anchor, RIGHT, 0,0)
				WLHUD_PLAYER.SPBT:SetText(WLHUD_PLAYER_SP_C.." / "..WLHUD_PLAYER_SP_M)
				WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SP_Anchor, RIGHT, 0,0)
				WLHUD_PLAYER.MPBT:SetText(WLHUD_PLAYER_MP_C.." / "..WLHUD_PLAYER_MP_M)
				WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER_MP_Anchor, RIGHT, 0,0)
			else
				WLHUD_PLAYER.HPBT:SetText(WLHUD_PLAYER_HP_C)
				WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HP_Anchor, RIGHT, 0,0)
				WLHUD_PLAYER.SPBT:SetText(WLHUD_PLAYER_SP_C)
				WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SP_Anchor, RIGHT, 0,0)
				WLHUD_PLAYER.MPBT:SetText(WLHUD_PLAYER_MP_C)
				WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER_MP_Anchor, RIGHT, 0,0)
			end

			if (WLHUD_SAVE.Player_HP_InBar == true) then
				WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HPB, LEFT, 75,0)
				WLHUD_PLAYER.HPB_BG:SetHidden(true)
			else
				WLHUD_PLAYER.HPB_BG:SetHidden(false)
			end

			if (WLHUD_SAVE.Player_MP_InBar == true) then
				WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER.MPB, LEFT, 75,0)
				WLHUD_PLAYER.MPB_BG:SetHidden(true)
			else
				WLHUD_PLAYER.SPB_BG:SetHidden(false)
			end
			if (WLHUD_SAVE.Player_SP_InBar == true) then
				WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SPB, LEFT, 75,0)
				WLHUD_PLAYER.SPB_BG:SetHidden(true)
			else
				WLHUD_PLAYER.SPB_BG:SetHidden(false)
			end
		else --if (powerIndex == nil) then
			if (powerType == -2) then --POWERTYPE_HEALTH
				local HP_Perc = math.floor( (powerValue / powerMax) * 100 )

				ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.HPB, powerValue, powerMax, nil)

				WLHUD_PLAYER.HPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_HP_Perc)
				WLHUD_PLAYER.HPPerc:SetText(HP_Perc.." %")

				if (HP_Perc <= 50) and (HP_Perc > 30) then
					WLHUD_PLAYER.HPBT:SetColor(1,0.843,0)
					WLHUD_PLAYER.HPPerc:SetColor(1,0.843,0)
				elseif (HP_Perc <= 30) and (HP_Perc > 20) then
					WLHUD_PLAYER.HPBT:SetColor(0.871,0.596,0.086)
					WLHUD_PLAYER.HPPerc:SetColor(0.871,0.596,0.086)
				elseif (HP_Perc <= 20) then
					WLHUD_PLAYER.HPBT:SetColor(0.996,0.098,0)
					WLHUD_PLAYER.HPPerc:SetColor(0.996,0.098,0)
				else
					WLHUD_PLAYER.HPBT:SetColor(1,1,1)
					WLHUD_PLAYER.HPPerc:SetColor(1,1,1)
				end

				if (WLHUD_SAVE.Player_HP_Alert == true) and (HP_Perc <= WLHUD_SAVE.Player_HP_Tresh) and (HP_Perc > 0) then
					WLHUD_PLAYER.LowHP_Icon:SetHidden(false)
				else
					WLHUD_PLAYER.LowHP_Icon:SetHidden(true)
				end

				if (WLHUD_SAVE.Player_MaxStat == true) then
					WLHUD_PLAYER.HPBT:SetText(powerValue.." / "..powerMax)
				else
					WLHUD_PLAYER.HPBT:SetText(powerValue)
				end

			elseif (powerType == 0) then --POWERTYPE_MAGICKA
				local MP_Perc = math.floor( (powerValue / powerMax) * 100 )

				ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.MPB, powerValue, powerMax, nil)

				WLHUD_PLAYER.MPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_MP_Perc)
				WLHUD_PLAYER.MPPerc:SetText(MP_Perc.." %")

				if (MP_Perc <= 50) and (MP_Perc > 30) then
					WLHUD_PLAYER.MPBT:SetColor(1,0.843,0)
					WLHUD_PLAYER.MPPerc:SetColor(1,0.843,0)
				elseif (MP_Perc <= 30) and (MP_Perc > 20) then
					WLHUD_PLAYER.MPBT:SetColor(0.871,0.596,0.086)
					WLHUD_PLAYER.MPPerc:SetColor(0.871,0.596,0.086)
				elseif (MP_Perc <= 20) then
					WLHUD_PLAYER.MPBT:SetColor(0.996,0.098,0)
					WLHUD_PLAYER.MPPerc:SetColor(0.996,0.098,0)
				else
					WLHUD_PLAYER.MPBT:SetColor(1,1,1)
					WLHUD_PLAYER.MPPerc:SetColor(1,1,1)
				end

				if (WLHUD_SAVE.Player_MP_Alert == true) and (MP_Perc <= WLHUD_SAVE.Player_MP_Tresh) and (MP_Perc > 0) then
					WLHUD_PLAYER.LowMP_Icon:SetHidden(false)
				else
					WLHUD_PLAYER.LowMP_Icon:SetHidden(true)
				end

				if (WLHUD_SAVE.Player_MaxStat == true) then
					WLHUD_PLAYER.MPBT:SetText(powerValue.." / "..powerMax)
				else
					WLHUD_PLAYER.MPBT:SetText(powerValue)
				end
				
			elseif (powerType == 6) then --POWERTYPE_STAMINA
				local SP_Perc = math.floor( (powerValue / powerMax) * 100 )

				ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.SPB, powerValue, powerMax, nil)

				WLHUD_PLAYER.SPPerc:SetHidden(not WLHUD_SAVE.Enable_Player_SP_Perc)
				WLHUD_PLAYER.SPPerc:SetText(SP_Perc.." %")

				if (SP_Perc <= 50) and (SP_Perc > 30) then
					WLHUD_PLAYER.SPBT:SetColor(1,0.843,0)
					WLHUD_PLAYER.SPPerc:SetColor(1,0.843,0)
				elseif (SP_Perc <= 30) and (SP_Perc > 20) then
					WLHUD_PLAYER.SPBT:SetColor(0.871,0.596,0.086)
					WLHUD_PLAYER.SPPerc:SetColor(0.871,0.596,0.086)
				elseif (SP_Perc <= 20) then
					WLHUD_PLAYER.SPBT:SetColor(0.996,0.098,0)
					WLHUD_PLAYER.SPPerc:SetColor(0.996,0.098,0)
				else
					WLHUD_PLAYER.SPBT:SetColor(1,1,1)
					WLHUD_PLAYER.SPPerc:SetColor(1,1,1)
				end

				if (WLHUD_SAVE.Player_MaxStat == true) then
					WLHUD_PLAYER.SPBT:SetText(powerValue.." / "..powerMax)
				else
					WLHUD_PLAYER.SPBT:SetText(powerValue)
				end

				if (WLHUD_SAVE.Player_SP_Alert == true) and (SP_Perc <= WLHUD_SAVE.Player_SP_Tresh) and (SP_Perc > 0) then
					WLHUD_PLAYER.LowSP_Icon:SetHidden(false)
				else
					WLHUD_PLAYER.LowSP_Icon:SetHidden(true)
				end

			elseif (powerType == 11) then --POWERTYPE_MOUNT
				local Mount_Perc = (powerValue / powerMax) * 100

				ZO_StatusBar_SmoothTransition(WLHUD_PLAYER.Horse_SPB, powerValue, powerMax, nil)
				
				if (Mount_Perc <= 50) and (Mount_Perc > 30) then
					WLHUD_PLAYER.Horse_SPB:SetGradientColors(0.5,0.443,0,1, 1,0.843,0,1)
				elseif (Mount_Perc <= 30) and (Mount_Perc > 20) then
					WLHUD_PLAYER.Horse_SPB:SetGradientColors(0.871,0.306,0.086,1, 0.871,0.596,0.086,1)
				elseif (Mount_Perc <= 20) then
					WLHUD_PLAYER.Horse_SPB:SetColor(0.996,0.098,0)
				else
					WLHUD_PLAYER.Horse_SPB:SetGradientColors(0.13725490868092,0.44705885648727,0.13725490868092,1, 0.18823531270027,0.80490202903748,0.18823531270027,1)
				end
			end
		end --if (powerIndex == nil) then

		if (WLHUD_PLAYER_HP_C <= 2) then
			WLHUD_PLAYER.LowHP_Icon:SetHidden(true)
			WLHUD_PLAYER.LowMP_Icon:SetHidden(true)
			WLHUD_PLAYER.LowSP_Icon:SetHidden(true)
		end
	end
end


-- function WLHUD_PetUpdate()
-- 	local WLHUD_PlayerPet_HP_C, WLHUD_PlayerPet_HP_M = GetUnitPower("reticleovertarget", -2)
-- 	WLHUD_PlayerPet_HPBT:SetText(WLHUD_PlayerPet_HP_C.." / "..WLHUD_PlayerPet_HP_M)
-- end