function WLHUD_Begin_Siege()
	WLHUD_INSIEGE = true
	WLHUD_PLAYER.SPB:SetHidden(true)
	WLHUD_PLAYER.MPB:SetHidden(true)
	WLHUD_SIEGE.HPB:SetHidden(false)
	WLHUD_SIEGE:Update()	
end

function WLHUD_End_Siege()
	WLHUD_INSIEGE = false
	WLHUD_PLAYER.SPB:SetHidden(false)
	WLHUD_PLAYER.MPB:SetHidden(false)
	WLHUD_SIEGE.HPB:SetHidden(true)
end

function WLHUD_SIEGE:Update(eventCode, unitTag, powerIndex, powerType, powerValue, powerMax, powerEffectiveMax)
	local Siege_HP_C, Siege_HP_M = GetUnitPower("controlledsiege", -2)
	local Siege_Name = GetUnitName("controlledsiege")
	local Siege_HP_Perc = (Siege_HP_C / Siege_HP_M) * 100
	local OffsetSiege_HP = (Siege_HP_C / Siege_HP_M) * WLHUD_SAVE.Player_HPBar_Width

	WLHUD_SIEGE.Perc:SetText(Siege_HP_Perc.." %")
	WLHUD_SIEGE.HPB:SetWidth(OffsetSiege_HP)
	WLHUD_SIEGE.HPB:SetAlpha(1)
	WLHUD_SIEGE.BG:SetWidth(WLHUD_SAVE.Player_HPBar_Width + 84)
	WLHUD_SIEGE.LBL:SetText(Siege_Name)

	if (Siege_HP_Perc <= 50) and (Siege_HP_Perc > 30) then
		WLHUD_SIEGE.Perc:SetColor(1,0.843,0)
	elseif (Siege_HP_Perc <= 30) and (Siege_HP_Perc > 20) then
		WLHUD_SIEGE.Perc:SetColor(0.871,0.596,0.086)
	elseif (Siege_HP_Perc <= 20) then
		WLHUD_SIEGE.Perc:SetColor(0.996,0.098,0)
	else
		WLHUD_SIEGE.Perc:SetColor(1,1,1)
	end
end