local WLHUD_TARGET_HP_EffM = {}
local WLHUD_Update_Target_Count = 0
local WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M = 0, 0
local WLHUD_OverLoad_ct = 0
local WLHUD_LoadMax = 0

function WLHUD_TARGET:Update(eventCode, unitTag, powerIndex, powerType, powerValue, powerMax, powerEffectiveMax)
	if (WLHUD_FIRSTLOAD == false) then return end
	if (WLHUD_SETTINGS == 0) and ( WLHUD_SAVE.Enable_Preview == false ) and ( WLHUD_SAVE.Enable_Target == true) and (WLHUD_CTRL_CREATED == true) then
		if (powerIndex == nil) then
			if (DoesUnitExist("reticleover") == true) then
				WLHUD_TARGET.Anchor:SetHidden(false)
			else
				WLHUD_TARGET.Anchor:SetHidden(true)
				return
			end
			
			local isPlayer = IsUnitPlayer("reticleover")
			local WLHUD_TARGET_Alliance = GetUnitAlliance("reticleover")
			local WLHUD_Difficulty = math.max( GetUnitDifficulty('reticleover') - 1 , 0 )
			
			local Level 	= GetUnitLevel("reticleover")
			local VRank 	= GetUnitVeteranRank("reticleover")
			local Class_LBL = GetUnitClass("reticleover")
			local Caption 	= GetUnitCaption("reticleover")

			local TargetName = GetUnitName("reticleover")
			
			local WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M = GetUnitPower("reticleover", -2)			
			local HP_Perc = math.floor( (WLHUD_TARGET_HP_C / WLHUD_TARGET_HP_M) * 100 )

			local IsGuild

			WLHUD_TARGET.LBL:SetText(TargetName)

			ZO_StatusBar_SmoothTransition(WLHUD_TARGET.HPB, WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M, nil)

			if (WLHUD_TARGET.Alliance == 1) then
				WLHUD_TARGET.AllyTex:SetTexture("/esoui/art/ava/ava_allianceflag_aldmeri.dds")
				WLHUD_TARGET.AllyTex:SetHidden(false)
			elseif (WLHUD_TARGET.Alliance == 2) then
				WLHUD_TARGET.AllyTex:SetTexture("/esoui/art/ava/ava_allianceflag_ebonheart.dds")
				WLHUD_TARGET.AllyTex:SetHidden(false)
			elseif (WLHUD_TARGET.Alliance == 3) then
				WLHUD_TARGET.AllyTex:SetTexture("/esoui/art/ava/ava_allianceflag_daggerfall.dds")
				WLHUD_TARGET.AllyTex:SetHidden(false)
			else
				WLHUD_TARGET.AllyTex:SetHidden(true)
			end
			
			if (Level ~= 0) then
				WLHUD_TARGET.LVL:SetHidden(false)
				if (Level ~= 50) then
					WLHUD_TARGET.LVL:SetText(Level)
				else
					if (VRank ~= 0) then
						WLHUD_TARGET.LVL:SetText("VT  "..VRank)
					else
						WLHUD_TARGET.LVL:SetText(Level)
					end
				end
			else
				WLHUD_TARGET.LVL:SetHidden(true)
			end
		
			if isPlayer then
				WLHUD_TARGET.Class:SetText(Class_LBL)

				for numGuild = 1, GetNumGuilds(), 1 do
					for numMember = 1, GetNumGuildMembers(numGuild), 1 do
						MermberInfo = {GetGuildMemberCharacterInfo(numGuild, numMember)}
						if MermberInfo[2] == GetRawUnitName('reticleover') then
							IsGuild = true
						end
					end
				end

				if IsUnitFriend("reticleover") then
					WLHUD_TARGET.LBL:SetColor(WLHUD_SAVE.FriendC[1],WLHUD_SAVE.FriendC[2],WLHUD_SAVE.FriendC[3],1)
				elseif IsGuild then
					WLHUD_TARGET.LBL:SetColor(WLHUD_SAVE.GuildC[1],WLHUD_SAVE.GuildC[2],WLHUD_SAVE.GuildC[3],1)
				else 
					WLHUD_TARGET.LBL:SetColor(1,1,1,1)
				end
			else
				WLHUD_TARGET.LBL:SetColor(1,1,1,1)
				WLHUD_TARGET.Class:SetText(Caption)
			end
			
			WLHUD_TARGET.HPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_HP_Perc)
			WLHUD_TARGET.HPPerc:SetText(HP_Perc.." %")			

			if (HP_Perc <= 50) and (HP_Perc > 30) then
				WLHUD_TARGET.HPBT:SetColor(1,0.843,0)
				WLHUD_TARGET.HPPerc:SetColor(1,0.843,0)
			elseif (HP_Perc <= 30) and (HP_Perc > 20) then
				WLHUD_TARGET.HPBT:SetColor(0.871,0.596,0.086)
				WLHUD_TARGET.HPPerc:SetColor(0.871,0.596,0.086)
			elseif (HP_Perc <= 20) then
				WLHUD_TARGET.HPBT:SetColor(0.996,0.098,0)
				WLHUD_TARGET.HPPerc:SetColor(0.996,0.098,0)
			else
				WLHUD_TARGET.HPBT:SetColor(1,1,1)
				WLHUD_TARGET.HPPerc:SetColor(1,1,1)
			end

			if (GetUnitType("reticleover") == 4) or (GetUnitType("reticleover") == 6) then
				WLHUD_TARGET.Execute_LBL:SetHidden(true)
			else
				if (HP_Perc <= WLHUD_SAVE.Target_Exec_Tresh) and (WLHUD_SAVE.Enable_Target_Exec == true) and (HP_Perc > 0) then
					WLHUD_TARGET.Execute_LBL:SetHidden(false)
				else
					WLHUD_TARGET.Execute_LBL:SetHidden(true)
				end
			end

			if (WLHUD_SAVE.Target_MaxStat == true) then
				WLHUD_TARGET.HPBT:SetText(WLHUD_TARGET_HP_C.." / "..WLHUD_TARGET_HP_M)
			else
				WLHUD_TARGET.HPBT:SetText(WLHUD_TARGET_HP_C)
			end

			if (WLHUD_Difficulty == 0) then
				WLHUD_TARGET.Elite1:SetHidden(true)
			elseif (WLHUD_Difficulty == 1) then
				WLHUD_TARGET.Elite1:SetHidden(false)
				WLHUD_TARGET.Elite2:SetHidden(true)
				WLHUD_TARGET.Elite3:SetHidden(true)
			elseif (WLHUD_Difficulty == 2) then
				WLHUD_TARGET.Elite1:SetHidden(false)
				WLHUD_TARGET.Elite2:SetHidden(false)
				WLHUD_TARGET.Elite3:SetHidden(true)
			else
				WLHUD_TARGET.Elite1:SetHidden(false)
				WLHUD_TARGET.Elite2:SetHidden(false)
				WLHUD_TARGET.Elite3:SetHidden(false)
			end

			--[[#############################################################################################################]]--
			--[[ LOAD POSITIONS ]]--
			--[[#############################################################################################################]]--
			-- if (WLHUD_SAVE.Enable_Target_CastBar == true) then
			-- 	WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,22)
			-- 	WLHUD_TARGET.Class:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,54)
			-- 	WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 300 - WLHUD_SAVE.Target_LBL_Width,22)
			-- 	WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,30)
			-- 	WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,28)
			-- 	WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,28)
			-- 	WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,28)
			-- else
				WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,45)
				WLHUD_TARGET.Class:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,72)
				WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 300 - WLHUD_SAVE.Target_LBL_Width,45)
				WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,53)
				WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,51)
				WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,51)
				WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,51)
			-- end

			if (WLHUD_SAVE.Target_HP_InBar == true) then
				WLHUD_TARGET.HPBT:SetAnchor(LEFT, WLHUD_TARGET.HPB, RIGHT, -150,0)
				WLHUD_TARGET.HPB_BG:SetHidden(true)
			end

		else--if (powerIndex == nil) then
			WLHUD_UpdateTargetShield()

			local TargetName = GetUnitName("reticleover")

			if (powerType == -2) then
				-- local WLHUD_TARGET_HP_C, WLHUD_TARGET_HP_M = GetUnitPower("reticleover", -2)
				local WLHUD_TARGET_Type = GetUnitType("reticleover")
				local WLHUD_TARGET_React = GetUnitReaction("reticleover")
				local HP_Perc = math.floor( (powerValue / powerMax) * 100 )

				ZO_StatusBar_SmoothTransition(WLHUD_TARGET.HPB, powerValue, powerMax, nil)
				-- WLHUD_TARGET.HPB:SetValue(powerValue)

				WLHUD_TARGET.HPPerc:SetText(HP_Perc.." %")

				if (WLHUD_SAVE.Target_MaxStat == true) then
					WLHUD_TARGET.HPBT:SetText(powerValue.." / "..powerMax)
				else
					WLHUD_TARGET.HPBT:SetText(powerValue)
				end

				if (HP_Perc <= 50) and (HP_Perc > 30) then
					WLHUD_TARGET.HPBT:SetColor(1,0.843,0)
					WLHUD_TARGET.HPPerc:SetColor(1,0.843,0)
				elseif (HP_Perc <= 30) and (HP_Perc > 20) then
					WLHUD_TARGET.HPBT:SetColor(0.871,0.596,0.086)
					WLHUD_TARGET.HPPerc:SetColor(0.871,0.596,0.086)
				elseif (HP_Perc <= 20) then
					WLHUD_TARGET.HPBT:SetColor(0.996,0.098,0)
					WLHUD_TARGET.HPPerc:SetColor(0.996,0.098,0)
				else
					WLHUD_TARGET.HPBT:SetColor(1,1,1)
					WLHUD_TARGET.HPPerc:SetColor(1,1,1)
				end

				if (WLHUD_TARGET.Type == 4) or (WLHUD_TARGET.Type == 6) or (WLHUD_TARGET_React == 7) or (WLHUD_TARGET_React == 6) then
					WLHUD_TARGET.Execute_LBL:SetHidden(true)
				elseif (WLHUD_TARGET_Type == 1) or (WLHUD_TARGET_Type == 2) then
					if (HP_Perc <= WLHUD_SAVE.Target_Exec_Tresh) and (WLHUD_SAVE.Enable_Target_Exec == true) and (HP_Perc > 0) then
						WLHUD_TARGET.Execute_LBL:SetHidden(false)
					else
						WLHUD_TARGET.Execute_LBL:SetHidden(true)
					end
				end
			end --if (powerType == -2) then
		end --if (powerIndex == nil) then
	end --if (WLHUD_SETTINGS == 0) and ( WLHUD_SAVE.Enable_Preview == false ) then
end

