local Preview_Timer01 = 10
local Preview_Timer001 = 100

local WLHUD_BufferTable = {}

--[[------------------------------
 * Buffer
 ]]-------------------------------
local function WLHUD_BufferReached(key, buffer)
	if not key then return end
	local ct, buffer = GetFrameTimeMilliseconds(), buffer or 3
	if not WLHUD_BufferTable[key] then WLHUD_BufferTable[key] = ct end
	if (ct - WLHUD_BufferTable[key]) >= buffer
	then WLHUD_BufferTable[key] = ct; return true;
	else return false; end
end

function WLHUD_Preview()
	if (WLHUD_FIRSTLOAD == false) then return end
	if not WLHUD_BufferReached("WLHUD_Preview001", 10) then return end

	local WLHUD_PLAYER_HP_C, WLHUD_PLAYER_HP_M, WLHUD_PLAYER_HP_EffM = GetUnitPower("player", -2)
	local WLHUD_PLAYER_MP_C, WLHUD_PLAYER_MP_M = GetUnitPower("player", 0)
	local WLHUD_PLAYER_SP_C, WLHUD_PLAYER_SP_M = GetUnitPower("player", 6)

	-- if (Preview_Timer001 > 0) then
		-- WLHUD_PlayerCastAnchor:SetHidden(not WLHUD_SAVE.Enable_Player_CastBar)
		-- WLHUD_PlayerCast_Bar:SetWidth( Preview_Timer001 * (WLHUD_SAVE.Player_CatBar_Width * 0.01) )
		
		-- WLHUD_TargetCastAnchor:SetHidden(not WLHUD_SAVE.Enable_Target_CastBar)
		-- WLHUD_TargetCast_Bar:SetWidth( Preview_Timer001 * (WLHUD_SAVE.Target_LBL_Width * 0.01) )

		-- WLHUD_TARGET_T.CastAnchor:SetHidden(not WLHUD_SAVE.Enable_Target_T_CastBar)
		-- WLHUD_TARGET_T.Cast_Bar:SetWidth( Preview_Timer001 * 3.5 )

		-- WLHUD_TargetCast_Bar:SetColor(0.2,0.2,0.6,0.9)
		-- WLHUD_TARGET.Cast_BG:SetColor(0.2,0.2,0.6,0.9)

		-- WLHUD_TARGET_T.Cast_Bar:SetColor(0.8,0.4,0,0.9)
		-- WLHUD_TARGET_T.Cast_BG:SetColor(0.8,0.4,0,0.9)

		-- Preview_Timer001 = Preview_Timer001 - 0.1
	-- else
		-- Preview_Timer001 = 100

	-- 	WLHUD_PlayerCastAnchor:SetHidden(not WLHUD_SAVE.Enable_Player_CastBar)
	-- 	WLHUD_PlayerCast_Bar:SetWidth( Preview_Timer001 * (WLHUD_SAVE.Player_CatBar_Width * 0.01) )
		
	-- 	WLHUD_TargetCastAnchor:SetHidden(not WLHUD_SAVE.Enable_Target_CastBar)
	-- 	WLHUD_TargetCast_Bar:SetWidth( Preview_Timer001 * (WLHUD_SAVE.Target_LBL_Width * 0.01) )

	-- 	WLHUD_TARGET_T.CastAnchor:SetHidden(false)
	-- 	WLHUD_TARGET_T.Cast_Bar:SetWidth( Preview_Timer001 * 3.5 )

	-- 	WLHUD_TargetCast_Bar:SetColor(0.2,0.2,0.6,0.9)
	-- 	WLHUD_TARGET.Cast_BG:SetColor(0.2,0.2,0.6,0.9)

	-- 	WLHUD_TARGET_T.Cast_Bar:SetColor(0.8,0.4,0,0.9)
	-- 	WLHUD_TARGET_T.Cast_BG:SetColor(0.8,0.4,0,0.9)
	-- end

	-- if not WLHUD_BufferReached("WLHUD_Preview01", 100) then return end

	-- if (Preview_Timer01 > 0) then
	-- 	local Timer_Seconds = string.format( "%.1fs" , Preview_Timer01 )

	-- 	WLHUD_PreviewBuff_MW:SetHidden(not WLHUD_SAVE.Enable_Player_Buffs)
	-- 	WLHUD_PBuff_Preview_LBL:SetHidden(not WLHUD_SAVE.Enable_Player_Buffs_Tm)
	-- 	WLHUD_PreviewDEBuff_MW:SetHidden(not WLHUD_SAVE.Enable_Player_DEBuffs)
	-- 	WLHUD_PDEBuff_Preview_LBL:SetHidden(not WLHUD_SAVE.Enable_Player_DEBuffs_Tm)

	-- 	if (WLHUD_SAVE.Enable_Target_Buffs == true) then WLHUD_T_PreviewBuff_MW:SetHidden(false) end
	-- 	if (WLHUD_SAVE.Enable_Target_DEBuffs == true) then WLHUD_T_PreviewDEBuff_MW:SetHidden(false) end

	-- 	WLHUD_PBuff_Preview_LBL:SetText(Timer_Seconds)
	-- 	WLHUD_PDEBuff_Preview_LBL:SetText(Timer_Seconds)

	-- 	WLHUD_TBuff_Preview_LBL:SetText(Timer_Seconds)
	-- 	WLHUD_TDEBuff_Preview_LBL:SetText(Timer_Seconds)

	-- 	Preview_Timer01 = Preview_Timer01 - 0.1
	-- else
	-- 	Preview_Timer01 = 10
	-- end

	if not WLHUD_BufferReached("WLHUD_Preview05", 250) then return end

	WLHUD_PLAYER.Anchor:SetHidden(false)

	if (WLHUD_SAVE.Enable_Target == true) then
		WLHUD_TARGET.Anchor:SetHidden(false)
	else
		WLHUD_TARGET.Anchor:SetHidden(true)
	end

	-- if (WLHUD_SAVE.Enable_Target_T == true) then
		-- WLHUD_TARGET_T.Anchor:SetHidden(false)
	-- else
		-- WLHUD_TARGET_T.Anchor:SetHidden(true)
	-- end
	
	WLHUD_PLAYER.Horse_SPB:SetHidden(false)

	WLHUD_TARGET.LBL:SetText(WLHUD_TargetName_LBL)
	WLHUD_TARGET.Class:SetText(WLHUD_TargetClass_Trad)
	WLHUD_TARGET.LVL:SetText(WLHUD_TargetLevel_LBL)
	WLHUD_TARGET.HPPerc:SetText("100 %")
	-- WLHUD_TARGET.MPPerc:SetText("100 %")
	-- WLHUD_TARGET.SPPerc:SetText("100 %")

	if (WLHUD_SAVE.Target_MaxStat == true) then
		WLHUD_TARGET.HPBT:SetText("2500/2500")
		-- WLHUD_TARGET.MPBT:SetText("2000/2000")
		-- WLHUD_TARGET.SPBT:SetText("2000/2000")
	else
		WLHUD_TARGET.HPBT:SetText("2500")
		-- WLHUD_TARGET.MPBT:SetText("2000")
		-- WLHUD_TARGET.SPBT:SetText("2000")
	end

	-- WLHUD_TARGET.MPB:SetHidden(false)
	-- WLHUD_TARGET.MPBT:SetHidden(false)
	-- WLHUD_TARGET.SPB:SetHidden(false)
	-- WLHUD_TARGET.SPBT:SetHidden(false)
	WLHUD_TARGET.HPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_HP_Perc)
	-- WLHUD_TARGET.MPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_MP_Perc)
	-- WLHUD_TARGET.SPPerc:SetHidden(not WLHUD_SAVE.Enable_Target_SP_Perc)

	-- WLHUD_TARGET_T.LBL:SetText(WLHUD_TARGET_T_Text)
	-- WLHUD_TARGET_T.HPBT:SetText("2000")
	-- WLHUD_TARGET_T.HPPerc:SetText("100 %")
	-- WLHUD_TARGET_T.MPPerc:SetText("100 %")
	-- WLHUD_TARGET_T.SPPerc:SetText("100 %")
	-- WLHUD_TARGET_T.MPBT:SetText("1000")
	-- WLHUD_TARGET_T.SPBT:SetText("1000")
	-- WLHUD_TARGET_T.MPB:SetHidden(false)
	-- WLHUD_TARGET_T.SPB:SetHidden(false)

	-- WLHUD_PBuff_PreviewBG:SetHidden(false)
	-- WLHUD_PDEBuff_PreviewBG:SetHidden(false)
	-- WLHUD_TBuff_PreviewBG:SetHidden(false)
	-- WLHUD_TDEBuff_PreviewBG:SetHidden(false)
	WLHUD_TARGET.Elite1:SetHidden(false)
	WLHUD_TARGET.Elite2:SetHidden(false)
	WLHUD_TARGET.Elite3:SetHidden(false)
	WLHUD_TARGET.AllyTex:SetHidden(false)
	WLHUD_TARGET.AllyTex:SetTexture("/esoui/art/ava/ava_allianceflag_ebonheart.dds")

	-- WLHUD_PLAYER.CastLBL:SetText(WLHUD_PlayerCast_LBL)
	-- WLHUD_TARGET.CastLBL:SetText(WLHUD_TargetCast_LBL)
	-- WLHUD_TARGET_T.CastLBL:SetText(WLHUD_TARGET_T_Cast_LBL)

	if (WLHUD_SAVE.Enable_Target_CastBar == true) then
		WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,22)
		WLHUD_TARGET.Class:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,52)
		WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 350 - WLHUD_SAVE.Target_LBL_Width,32)
		WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,30)
		WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,28)
		WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,28)
		WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,28)
	else
		WLHUD_TARGET.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,45)
		WLHUD_TARGET.Class:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 385 - WLHUD_SAVE.Target_LBL_Width,72)
		WLHUD_TARGET.LVL:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 350 - WLHUD_SAVE.Target_LBL_Width,55)
		WLHUD_TARGET.AllyTex:SetAnchor(TOPRIGHT, WLHUD_TARGET.Anchor, TOPRIGHT, 390 - WLHUD_SAVE.Target_LBL_Width,53)
		WLHUD_TARGET.Elite1:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 356 - WLHUD_SAVE.Target_LBL_Width,51)
		WLHUD_TARGET.Elite2:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 348 - WLHUD_SAVE.Target_LBL_Width,51)
		WLHUD_TARGET.Elite3:SetAnchor(TOPLEFT, WLHUD_TARGET.Anchor, TOPLEFT, 340 - WLHUD_SAVE.Target_LBL_Width,51)
	end

	-- if (WLHUD_SAVE.Enable_Target_T_CastBar == true) then
	-- 	WLHUD_TARGET_T.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET_T.Anchor, TOPLEFT, 35,0)
	-- else
	-- 	WLHUD_TARGET_T.LBL:SetAnchor(TOPLEFT, WLHUD_TARGET_T.Anchor, TOPLEFT, 35,25)
	-- end

	if (WLHUD_SAVE.Player_MaxStat == true) then
		WLHUD_PLAYER.HPBT:SetText(WLHUD_PLAYER_HP_C.." / "..WLHUD_PLAYER_HP_M)
		WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HP_Anchor, LEFT, 24,0)
		WLHUD_PLAYER.SPBT:SetText(WLHUD_PLAYER_SP_C.." / "..WLHUD_PLAYER_SP_M)
		WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SP_Anchor, LEFT, 24,0)
		WLHUD_PLAYER.MPBT:SetText(WLHUD_PLAYER_MP_C.." / "..WLHUD_PLAYER_MP_M)
		WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER_MP_Anchor, LEFT, 24,0)
	else
		WLHUD_PLAYER.HPBT:SetText(WLHUD_PLAYER_HP_C)
		WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HP_Anchor, LEFT, 95,0)
		WLHUD_PLAYER.SPBT:SetText(WLHUD_PLAYER_SP_C)
		WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SP_Anchor, LEFT, 95,0)
		WLHUD_PLAYER.MPBT:SetText(WLHUD_PLAYER_MP_C)
		WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER_MP_Anchor, LEFT, 95,0)
	end

	if (WLHUD_SAVE.Player_HP_InBar == true) then
		WLHUD_PLAYER.HPBT:SetAnchor(LEFT, WLHUD_PLAYER.HPB, LEFT, 75,0)
		WLHUD_PLAYER.HPB_BG:SetHidden(true)
	end
	if (WLHUD_SAVE.Player_MP_InBar == true) then
		WLHUD_PLAYER.MPBT:SetAnchor(LEFT, WLHUD_PLAYER.MPB, LEFT, 75,0)
		WLHUD_PLAYER.MPB_BG:SetHidden(true)
	end
	if (WLHUD_SAVE.Player_SP_InBar == true) then
		WLHUD_PLAYER.SPBT:SetAnchor(LEFT, WLHUD_PLAYER.SPB, LEFT, 75,0)
		WLHUD_PLAYER.SPB_BG:SetHidden(true)
	end

	if (WLHUD_SAVE.Target_HP_InBar == true) then
		WLHUD_TARGET.HPBT:SetAnchor(LEFT, WLHUD_TARGET.HPB, RIGHT, -150,0)
		WLHUD_TARGET.HPB_BG:SetHidden(true)
	end
end